# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""remove parameters column from capability_requests table

Revision ID: 1443ac9c0f20
Revises: b9945cdb3b1e
Create Date: 2021-06-01 14:21:49.709301

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "1443ac9c0f20"
down_revision = "b9945cdb3b1e"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE capability_requests DROP COLUMN parameters CASCADE")


def downgrade():
    op.execute("ALTER TABLE capability_requests ADD COLUMN parameters json")
